{ mkDerivation, PyF, array, base, bytestring, containers, deepseq
, either, extra, fetchzip, filepath, flat, ghc, hedgehog, lens, lib
, mtl, optparse-applicative, plutus-core, plutus-tx, prettyprinter
, serialise, tagged, tasty, tasty-golden, tasty-hedgehog
, tasty-hunit, template-haskell, text, uniplate
}:
mkDerivation {
  pname = "plutus-tx-plugin";
  version = "1.27.0.0";
  src = fetchzip {
    url = "https://chap.intersectmbo.org/package/plutus-tx-plugin-1.27.0.0.tar.gz";
    sha256 = "1dx6a479b1pfh264az467n5pbx6i6zflng4973v3py35vvaa4lcf";
  };
  isLibrary = true;
  isExecutable = true;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    array base bytestring containers either extra flat ghc lens mtl
    plutus-core plutus-tx prettyprinter PyF template-haskell text
    uniplate
  ];
  executableHaskellDepends = [
    base containers lens optparse-applicative prettyprinter PyF text
  ];
  testHaskellDepends = [
    base bytestring containers deepseq filepath flat hedgehog lens mtl
    plutus-core plutus-tx serialise tagged tasty tasty-golden
    tasty-hedgehog tasty-hunit template-haskell text
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  description = "The Plutus Tx compiler and GHC plugin";
  license = lib.licenses.asl20;
  broken = false;
}